#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF5Stack.
#

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 module for su integration
Name:           kdesu
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kpty-devel >= %version

%description
KDE Frameworks 5 Tier 3 module for su integration.

%files -f %{name}d5.lang
%_kf5_libexecdir/kdesu_stub
%attr(2755,root,nobody) %_kf5_libexecdir/kdesud

#--------------------------------------------------------------------

%define kf5su_major 5
%define libkf5su %mklibname kf5su %{kf5su_major}

%package -n %libkf5su
Summary:        KDE Frameworks 5 Tier 3 module for su integration
Group:          System/Libraries

%description -n %libkf5su
KDE Frameworks 5 Tier 3 module for su integration.

%files -n %libkf5su
%_kf5_libdir/libKF5Su.so.%{kf5su_major}*

#--------------------------------------------------------------------

%define kf5su_devel %mklibname kf5su -d

%package -n %kf5su_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5su = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       kpty-devel

%description -n %kf5su_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5su_devel
%_kf5_includedir/KDESu
%_kf5_includedir/kdesu_version.h
%_kf5_libdir/cmake/KF5Su
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name}d5


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089672
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088960
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074531
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072192
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058351
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050528
- New version 5.26.0

* Thu Sep 01 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049685
- set SGID attribution on kdesud (mga#18188#c7)

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045106
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041328
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021926
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014336
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999632
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986324
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942245
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921278
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913136
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909881
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900683
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899402
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898922
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888162
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881386
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862947
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862699
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853793
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841568
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803956
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 744749
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681009
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660938
- New version 5.1.0

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655610
- Fix libexecdir in kdesu
- Add require in devel package

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651660
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599820
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597358
- imported package kdesu

